28ab1c
From 21b746743c146c94235c93611519db6d47c8c0c1 Mon Sep 17 00:00:00 2001
28ab1c
From: Lukas Nykryn <lnykryn@redhat.com>
28ab1c
Date: Thu, 18 Feb 2021 11:01:31 +0100
28ab1c
Subject: [PATCH] fix(fcoe): rd.nofcoe=0 should disable fcoe
28ab1c
28ab1c
8446c8f9 Changed the default behavior, but also flipped meaning of 0/1.
28ab1c
Right now rd.nofcoe=0 enables fcoe, which is the opposite what manpage
28ab1c
says.
28ab1c
28ab1c
(cherry picked from commit 805b46c2a81e04d69fc3af912942568516d05ee7)
28ab1c
28ab1c
Resolves: #1929201
28ab1c
---
28ab1c
 modules.d/95fcoe/lldpad.sh     | 2 +-
28ab1c
 modules.d/95fcoe/parse-fcoe.sh | 2 +-
28ab1c
 2 files changed, 2 insertions(+), 2 deletions(-)
28ab1c
28ab1c
diff --git a/modules.d/95fcoe/lldpad.sh b/modules.d/95fcoe/lldpad.sh
28ab1c
index 7faa2e19..6b1844b0 100755
28ab1c
--- a/modules.d/95fcoe/lldpad.sh
28ab1c
+++ b/modules.d/95fcoe/lldpad.sh
28ab1c
@@ -1,6 +1,6 @@
28ab1c
 #!/bin/bash
28ab1c
 
28ab1c
-if getargbool 0 rd.nofcoe ; then
28ab1c
+if ! getargbool 1 rd.nofcoe ; then
28ab1c
 	info "rd.nofcoe=0: skipping lldpad activation"
28ab1c
 	return 0
28ab1c
 fi
28ab1c
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
28ab1c
index 86f4331e..5553602f 100755
28ab1c
--- a/modules.d/95fcoe/parse-fcoe.sh
28ab1c
+++ b/modules.d/95fcoe/parse-fcoe.sh
28ab1c
@@ -13,7 +13,7 @@
28ab1c
 # fcoe=eth0:nodcb:vn2vn
28ab1c
 # fcoe=4a:3f:4c:04:f8:d7:nodcb:fabric
28ab1c
 
28ab1c
-if getargbool 0 rd.nofcoe ; then
28ab1c
+if ! getargbool 1 rd.nofcoe ; then
28ab1c
 	info "rd.nofcoe=0: skipping fcoe"
28ab1c
 	return 0
28ab1c
 fi
28ab1c